using Godot;

namespace NodeWar.scripts;

public partial class EventBus : Node
{
	[Signal]
	public delegate void GameStartedEventHandler();
    
	[Signal]
	public delegate void GameEndedEventHandler(bool win);
	
	[Signal]
	public delegate void SelectionChangedEventHandler(string infoText);


	public static EventBus Instance { get; private set; }

	public override void _EnterTree()
	{
		Instance ??= this;
	}
}